Download it now!
Bug 103185 - Add VCL backend being used to About dialog
Summary: Add VCL backend being used to About dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2016-10-13 15:51 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-02-14 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-13 15:51:07 UTC
As we have 4 different VCL backends on linux, it would be useful for a user copies the version information from the About dialog, that it also mention which backend is being used.

@Meeks: Awaiting your pointers. :D
Comment 1 Michael Meeks 2016-10-13 16:13:33 UTC
Ooh - so, this can probably be an easy-hack. If you look in:

vcl/source/app/svapp.cxx:

OUString Application::GetHWOSConfInfo()

We need to append the result of:

OUString Application::GetToolkitName()

to the string we return in a sensible way.

That shows up in the Help->About dialog and is really useful for QA.

Thanks !
Comment 2 jani 2016-10-14 06:50:10 UTC
Setting needsDevEval due to missing code pointer.
Comment 3 jani 2016-10-14 06:50:59 UTC
(In reply to jan iversen from comment #2)
> Setting needsDevEval due to missing code pointer.

Ups it is there, sorry, my BZ did not like me.
Comment 4 Sudarshan K 2016-10-16 14:31:30 UTC
Hey, I would like to take a stab at this.
The about dialog box in my build (5.3) has the information in this manner - 
Version; Build-ID; CPU Threads; OS Version; UI Render; Locale; Calc:
Where would you like to add the VCL information, In between which parameters or at the beginning or the end ?
Thanks.
Comment 5 jani 2016-10-16 14:33:16 UTC
(In reply to Sudarshan K from comment #4)
> Hey, I would like to take a stab at this.
> The about dialog box in my build (5.3) has the information in this manner - 
> Version; Build-ID; CPU Threads; OS Version; UI Render; Locale; Calc:
> Where would you like to add the VCL information, In between which parameters
> or at the beginning or the end ?
> Thanks.

I personally would add it at the end, but that is really a minor detail, only you have the code, position is a matter of moving it around in the ui file.
Comment 6 Sudarshan K 2016-10-16 14:39:15 UTC
Do I also need to edit a ui file ? Where might that be(In reply to jan iversen from comment #5)
> (In reply to Sudarshan K from comment #4)
> > Hey, I would like to take a stab at this.
> > The about dialog box in my build (5.3) has the information in this manner - 
> > Version; Build-ID; CPU Threads; OS Version; UI Render; Locale; Calc:
> > Where would you like to add the VCL information, In between which parameters
> > or at the beginning or the end ?
> > Thanks.
> 
> I personally would add it at the end, but that is really a minor detail,
> only you have the code, position is a matter of moving it around in the ui
> file.

Do I also need to edit a ui file ? Where might that be ?
Thanks.
Comment 7 jani 2016-10-16 14:41:02 UTC
(In reply to Sudarshan K from comment #6)
> Do I also need to edit a ui file ? Where might that be(In reply to jan
> iversen from comment #5)
> > (In reply to Sudarshan K from comment #4)
> > > Hey, I would like to take a stab at this.
> > > The about dialog box in my build (5.3) has the information in this manner - 
> > > Version; Build-ID; CPU Threads; OS Version; UI Render; Locale; Calc:
> > > Where would you like to add the VCL information, In between which parameters
> > > or at the beginning or the end ?
> > > Thanks.
> > 
> > I personally would add it at the end, but that is really a minor detail,
> > only you have the code, position is a matter of moving it around in the ui
> > file.
> 
> Do I also need to edit a ui file ? Where might that be ?

How else would you add something to the ui...unless of course you pack it into another field.

ui files are in the same module, search for *.ui

> Thanks.
Comment 8 Yousuf Philips (jay) (retired) 2016-10-16 14:55:39 UTC
Hi Sudarshan,

There is already a patch in gerrit to fix this - https://gerrit.libreoffice.org/#/c/29798/
Comment 9 jani 2016-10-16 14:58:33 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> Hi Sudarshan,
> 
> There is already a patch in gerrit to fix this -
> https://gerrit.libreoffice.org/#/c/29798/

Yeah another case of missing assignment, seems I overlooked this one, sorry for that.

We tell contributors who work on easy hacks to assign them, so others can see they are being worked on.

However Sudarshan, plenty of other hacks for you to work on.

Yousuf@ thanks for highlighting this.
Comment 10 Yousuf Philips (jay) (retired) 2016-10-16 15:04:20 UTC
@Sudarkshan: If you'd like to take on another about dialog enhancement, give bug 79438 a try for adding the release date.

@jan: anytime. :D
Comment 11 Sudarshan K 2016-10-16 15:10:23 UTC
(In reply to Yousuf Philips (jay) from comment #10)
> @Sudarkshan: If you'd like to take on another about dialog enhancement, give
> bug 79438 a try for adding the release date.
> 
> @jan: anytime. :D

Oh :( Never mind, I will take a look at the other bug.
Comment 12 Commit Notification 2016-10-19 08:45:10 UTC
Ashod Nakashian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b5b773488a4ab77b5c18d82e663e68692f14b33

tdf#103185 - Add VCL backend being used to About dialog

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-11-25 09:12:14 UTC
Ashod Nakashian committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec0475d2124b5270fc1a2a8ccfaa354e931193bc&h=libreoffice-5-2

tdf#103185 - Add VCL backend being used to About dialog

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.